#ifndef MOF_FILE_TEXTURE_BUILDER_HPP
#define MOF_FILE_TEXTURE_BUILDER_HPP

#include "mof/private/TextureBuilder.hpp"
#include "mof/tstring.hpp"

namespace mof{
	
	class FileTextureBuilder : public TextureBuilder
	{
		mof::tstring m_path;
	public:
		FileTextureBuilder( const mof::tstring& path);
		virtual ~FileTextureBuilder(void);
		virtual LPDIRECT3DTEXTURE9 create();
	};


};

#endif